<?php
/**
 *
 * Auther: heyu
 * DateTime: 2019-12-24 13:46
 *
 */

namespace kwy\aliPayOpenApi\iot;


use kwy\aliPayOpenApi\lib\ApiRequest;

class Message extends ApiRequest
{

    /**
     * @author heyu 2019-12-30 10:02
     * @param string $supplier_id
     * @param string $sn
     * @param array|string $msg
     * @return string
     */
    public function sendBySn($supplier_id,$sn,$msg){
        $method='alipay.commerce.iot.sdarttool.message.send';


        $data=[
            'supplier_id'=>$supplier_id,#'201810251600319950',#2018041600054976
            'sn'=>$sn,#'QCF420190611025711',#'DA08196240855',
            'msg_type'=>'xpaas_database_sync',
            'msg_content_type'=>'text',
            'msg_content'=>is_array($msg)?json_encode($msg):$msg,
            "device_query_type"=>"SUPPLIERID_SN",
            #'msg_expire'=>'', #过期秒数
            'immediate_msg'=>false,
            "bi_da"=>true,
            #'msg_priority'=>'',
            #'bi_da'
        ];
        $result = $this->call($method,$data);
        //var_dump($this->getHttp()->getLastRequestLog());

        return $result;


    }
}