<?php
/**
 *
 * Auther: heyu
 * DateTime: 2019-12-27 20:26
 *
 */

namespace kwy\aliPayOpenApi\pay;

/**
 * Class MicroPayParam
 * @package kwy\aliPayOpenApi\pay
 * @property string $out_trade_no
 * @property string $scene "bar_code"|"wave_code"|"security_code"
 * @property string $auth_code
 * @property double $total_amount 交易金额 单位/元
 * @property string $subject
 *
 */
class MicroPayParam
{

    const SCENE_BAR_CODE='bar_code';
    const SCENE_WAVE_CODE='wave_code';
    const SCENE_SECURITY_CODE='security_code';

    private $params=[];

    public function __get($name)
    {
        return isset($this->params[$name])?$this->params[$name]:null;
    }

    public function __set($name, $value)
    {
        $this->params[$name]=$value;
    }

    public function toArray(){
        return $this->params;
    }

}